<?php if ( is_single() ) { ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<div class="container">
		<div class="entry-title">
			<p class="date"><?php the_time('d F Y'); ?></p>
			<h2><?php the_title(); ?></h2>
		</div>
		
		<div class="entry-content">
			
			<?php if ( has_post_thumbnail() ) { ?>
			
			<div class="row">
				<div class="col-sm-4">
					<div class="pic">
						<?php the_post_thumbnail( 'post-thumbnail' ); ?>
					</div>
				</div>
				<div class="col-sm-8">
					<?php the_content(); ?>
				</div>
			</div>
			
			
			<?php }else{ ?>
			
			
			<div class="row">
				<div class="col-xs-12">
					<?php the_content(); ?>
				</div>
			</div>
			
			<?php } ?>
			
		</div>
	</div>
	
	<?php }else{ ?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'col-sm-6' ); ?>>
	
	<div class="entry-title">
		<?php /*<p class="date"><?php the_time('d F Y'); ?></p>*/ ?>
		<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
	</div>
	
	<div class="entry-content">
		
		<?php if ( mgrm_alaune_has_image() ) { ?>
		
			<div class="pic col-sm-6">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( the_title() ) ); ?>" rel="bookmark"><?php echo mgrm_alaune_get_image( '', '', 'medium' ); ?></a>
			</div>
	
			<div class="content col-sm-6">
			<?php the_content( __( 'Read more...' ) ); ?>
			</div>
		
		<?php }else{ ?>
		
		
			<?php the_content( __( 'Read more...' ) ); ?>
		
		<?php } ?>
		
	</div>
	<?php } ?>

</article>