jQuery(document).ready(function($) {
	
	jQuery('input.media-browser').live('click', function(e) {
	
		// Annuler l'effet du bouton
	    e.preventDefault();
		
		thisBtn		= jQuery(this);
		
	
	    // Afficher la fenêtre de médias
	    custom_uploader = wp.media({
	        title: 'Choisir une image',
	        button: {
	            text: 'Choisir une image'
	        },
	        multiple: false
	    });
	
	
	    //When a file is selected, grab the URL and set it as the text field's value
	    custom_uploader.on('select', function() {
	    	var attachments = custom_uploader.state().get('selection').toJSON();
	    	
	    	// Boucler sur les images sélectionnées
	    	for (i=0; i<attachments.length; i++)
	    	{
		        var attachment = attachments[i];
		        //attachment.alt - image alt
				//attachment.author - author id
				//attachment.caption
				//attachment.dateFormatted - date of image uploaded
				//attachment.description
				//attachment.editLink - edit link of media
				//attachment.filename
				//attachment.height
				//attachment.icon - don't know WTF?))
				//attachment.id - id of attachment
				//attachment.link - public link of attachment, for example http://site.com/?attachment_id=115
				//attachment.menuOrder
				//attachment.mime - mime type, for example image/jpeg"
				//attachment.name - name of attachment file, for example "my-image"
				//attachment.status - usual is "inherit"
				//attachment.subtype - "jpeg" if is "jpg"
				//attachment.title
				//attachment.type - "image"
				//attachment.uploadedTo
				//attachment.url - http url of image, for example http://site.com/wp-content/uploads/2012/12/my-image.jpg
				//attachment.width
				
				
				// Retirer l'ancienne image si elle existe
				$( 'img', thisBtn.parent() ).remove();
				$( 'input[type="hidden"]', thisBtn.parent() ).val( '' );
				
				// Générer la nouvelle image
				img		= '<img src="'+attachment.sizes.medium.url+'" width="300" alt="'+attachment.id+'" style="display:block;margin-top:10px;" />';
				thisBtn.parent().append( img );
				$( 'input[type="hidden"]', thisBtn.parent() ).val( attachment.id );
			}
			
	    });
	
	    //Open the uploader dialog
	    custom_uploader.open();
		
	});
	
	jQuery('input.media-remove').live('click', function(e) {
		// Annuler l'effet du bouton
	    e.preventDefault();
		
		thisBtn		= jQuery(this);
		
		$( 'img', thisBtn.parent() ).remove();
		$( 'input[type="hidden"]', thisBtn.parent() ).val( '' );
	});
});