<?php 
header('Content-type: text/javascript');

$imgw = 0;
$imgh = 0;
    
// Récupérer les variables
if ( isset( $_GET['bw'] ) && !empty( $_GET['bw'] ) )
{
	$imgw		= $_GET['bw'];
}
if ( isset( $_GET['bh'] ) && !empty( $_GET['bh'] ) )
{
	$imgh		= $_GET['bh'];
}
?>

jQuery(document).ready(function($) {
	
	jQuery('input.media-browser').live('click', function(e) {
	
		// Annuler l'effet du bouton
	    e.preventDefault();
		
		thisBtn		= jQuery(this);
		
	
	    // Afficher la fenêtre de médias
	    custom_uploader = wp.media({
	        title: 'Choisir une image',
	        button: {
	            text: 'Choisir une image'
	        },
	        multiple: false
	    });
	
	
	    //When a file is selected, grab the URL and set it as the text field's value
	    custom_uploader.on('select', function() {
	    	var attachments = custom_uploader.state().get('selection').toJSON();
	    	
	    	// Boucler sur les images sélectionnées
	    	for (i=0; i<attachments.length; i++)
	    	{
		        var attachment = attachments[i];
		        //attachment.alt - image alt
				//attachment.author - author id
				//attachment.caption
				//attachment.dateFormatted - date of image uploaded
				//attachment.description
				//attachment.editLink - edit link of media
				//attachment.filename
				//attachment.height
				//attachment.icon - don't know WTF?))
				//attachment.id - id of attachment
				//attachment.link - public link of attachment, for example http://site.com/?attachment_id=115
				//attachment.menuOrder
				//attachment.mime - mime type, for example image/jpeg"
				//attachment.name - name of attachment file, for example "my-image"
				//attachment.status - usual is "inherit"
				//attachment.subtype - "jpeg" if is "jpg"
				//attachment.title
				//attachment.type - "image"
				//attachment.uploadedTo
				//attachment.url - http url of image, for example http://site.com/wp-content/uploads/2012/12/my-image.jpg
				//attachment.width
				
				console.log( attachment );
				// Retirer l'ancienne image si elle existe
				$( 'img', thisBtn.parent() ).remove();
				$( 'input[type="hidden"]', thisBtn.parent() ).val( '' );
				
				/*if ( attachment.sizes.large != undefined )
				{
					$( '.error', thisBtn.parent() ).remove();
					
					// Générer la nouvelle image
					img		= '<img src="'+attachment.sizes.large.url+'" width="1000" alt="" id="img_'+attachment.id+'" />';
					thisBtn.parent().append( img );
					$( 'input[name$="img_id"]', thisBtn.parent() ).val( attachment.id );
					
					//x1	= 0;
					//y1	= 0;
					//x2	= 1000;
					//y2	= (1000/<?php echo $imgw; ?>)*<?php echo $imgh; ?>;
					//
					//jQuery( 'input[name$="img_x1"]', thisBtn.parent() ).val( x1 );
					//jQuery( 'input[name$="img_y1"]', thisBtn.parent() ).val( y1 );
					//jQuery( 'input[name$="img_x2"]', thisBtn.parent() ).val( x2 );
					//jQuery( 'input[name$="img_y2"]', thisBtn.parent() ).val( y2 );
					//
					//jQuery( 'img', thisBtn.parent() ).Jcrop({
					//	aspectRatio	: <?php echo $imgw; ?>/<?php echo $imgh; ?>,
					//	onSelect	: setCoords,
					//	setSelect	: [x1,y1,x2,y2]
					//});
				}else{
					thisBtn.parent().append( '<p class="error">L\'image sélectionnée est trop petite.</p>' );
				}*/
				if ( attachment.width >= <?php echo $imgw; ?> && attachment.height >= <?php echo $imgh; ?> )
				{
					img_url		= attachment.url;
					img_ext		= img_url.substr( img_url.lastIndexOf( '.' ) );
					img_file	= img_url.substring( 0, img_url.lastIndexOf( '.' ) );
					
					img_home_url	= img_file+'-'+<?php echo $imgw; ?>+'x'+<?php echo $imgh; ?>+img_ext;
					
					
					img		= '<img src="'+img_home_url+'" width="1000" alt="" id="img_'+attachment.id+'" />';
					thisBtn.parent().append( img );
					$( 'input[name$="img_id"]', thisBtn.parent() ).val( attachment.id );
					
				}else{
					thisBtn.parent().append( '<p class="notice notice-warning">L\'image sélectionnée est trop petite.</p>' );
				}
			}
			
	    });
	
	    //Open the uploader dialog
	    custom_uploader.open();
		
	});
	
	jQuery('input.media-remove').live('click', function(e) {
		// Annuler l'effet du bouton
	    e.preventDefault();
		
		thisBtn		= jQuery(this);
		
		$( 'img', thisBtn.parent() ).remove();
		$( 'input[type="hidden"]', thisBtn.parent() ).val( '' );
	});
});
/*
function setCoords(c)
{
	if ( this.ui != undefined )
	{
		parent	= this.ui.holder.parent();
		
		if ( c == undefined )
		{
			jQuery( 'input[name$="img_x1"]', parent ).val( 0 );
			jQuery( 'input[name$="img_y1"]', parent ).val( 0 );
			jQuery( 'input[name$="img_x2"]', parent ).val( 0 );
			jQuery( 'input[name$="img_y2"]', parent ).val( 0 );
		
		}else{
			jQuery( 'input[name$="img_x1"]', parent ).val( c.x );
			jQuery( 'input[name$="img_y1"]', parent ).val( c.y );
			jQuery( 'input[name$="img_x2"]', parent ).val( c.x2 );
			jQuery( 'input[name$="img_y2"]', parent ).val( c.y2 );
		}
	}

}

jQuery( 'table.widefat tbody img' ).Jcrop({
	aspectRatio	: <?php echo $imgw; ?>/<?php echo $imgh; ?>,
	onSelect	: setCoords
});
*/